# Uses of Class
com.databricks.jdbc.model.client.thrift.generated.TBoolColumn

Packages that use TBoolColumn
Package
Description
com.databricks.jdbc.model.client.thrift.generated

## Uses of TBoolColumn in com.databricks.jdbc.model.client.thrift.generated

Classes in com.databricks.jdbc.model.client.thrift.generated that implement interfaces with type arguments of type TBoolColumn
Modifier and Type
Class
Description
`class`
`TBoolColumn`
`class`
`TBoolColumn`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TBoolColumn
Modifier and Type
Method
Description
`TBoolColumn`
TBoolColumn.`deepCopy()`
`TBoolColumn`
TColumn.`getBoolVal()`
`TBoolColumn`
TBoolColumn.`setNulls(byte[] nulls)`
`TBoolColumn`
TBoolColumn.`setNulls(ByteBuffer nulls)`
`TBoolColumn`
TBoolColumn.`setValues(List<Boolean> values)`
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TBoolColumn
Modifier and Type
Method
Description
`static TColumn`
TColumn.`boolVal(TBoolColumn value)`
`int`
TBoolColumn.`compareTo(TBoolColumn other)`
`boolean`
TBoolColumn.`equals(TBoolColumn that)`
`void`
TColumn.`setBoolVal(TBoolColumn value)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TBoolColumn
Modifier
Constructor
Description
``
`TBoolColumn(TBoolColumn other)`
Performs a deep copy on other.